Bug 349519 - plasmashell occasionally crashes inQSGBatchRenderer::Renderer::renderBatches()
Summary: plasmashell occasionally crashes inQSGBatchRenderer::Renderer::renderBatches()
Status: RESOLVED UPSTREAM
Alias: None
Product: plasmashell
Classification: Plasma
Component: general (show other bugs)
Version: 5.3.1
Platform: OpenSUSE Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: drkonqi
: 349842 350024 350152 350170 350193 350230 350420 350479 350529 350678 350683 350701 350706 350835 350842 350902 351227 351509 351933 352114 352132 352142 352172 352175 352180 352189 352196 352203 352210 352212 352231 352244 352257 352286 352300 352309 352335 352342 352352 352360 352380 352389 352417 352433 352439 352456 352467 352496 352505 352515 352546 352609 352632 352678 352694 352972 352979 353007 353109 353609 353673 353681 353791 353923 354031 354155 354243 354577 354593 354604 354619 354788 354913 355101 355209 355366 355375 355789 356078 356378 356707 357178 357730 358318 358349 358676 358788 358809 358969 359395 359398 359432 359582 359635 359696 359885 359953 360222 360721 360726 360814 361143 361152 361205 361421 361507 361647 361745 362769 364904 375619 405628 440072 443823 447190 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-06-23 08:57 UTC by Jiri Slaby
Modified: 2022-01-13 18:44 UTC (History)
102 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
attachment-26543-0.html (924 bytes, text/html)
2015-09-10 16:44 UTC, Jonathan Ryshpan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Slaby 2015-06-23 08:57:43 UTC
Application: plasmashell (5.3.1)

Qt Version: 5.4.2
Operating System: Linux 4.0.5-1.g0f16252-desktop x86_64
Distribution: "openSUSE 20150612 (Tumbleweed) (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
I switched from one desktop to another and it suddenly crashed.

It happens from time to time, but I am not sure the traces are the same.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fc65f0dd880 (LWP 8132))]

Thread 36 (Thread 0x7fc643fce700 (LWP 8134)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc65d9c9322 in ?? () from /usr/lib64/libxcb.so.1
#2  0x00007fc65d9cadef in xcb_wait_for_event () from /usr/lib64/libxcb.so.1
#3  0x00007fc64631dee9 in ?? () from /usr/lib64/qt5/plugins/platforms/libqxcb.so
#4  0x00007fc659233a7f in QThreadPrivate::start (arg=0xb9d130) at thread/qthread_unix.cpp:337
#5  0x00007fc658143484 in start_thread (arg=0x7fc643fce700) at pthread_create.c:333
#6  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 35 (Thread 0x7fc641bf8700 (LWP 8149)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007fc658b474c2 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6340008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc641bf7d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0xc83f60) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0xc83f60) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0xc83f60) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc641bf8700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 34 (Thread 0x7fc638c73700 (LWP 8156)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc62c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc638c72d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1631280) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1631280) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x1631280) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc638c73700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 33 (Thread 0x7fc631fe5700 (LWP 8160)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035e06 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6280008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc631fe4d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x17a5690) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x17a5690) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x17a5690) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc631fe5700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 32 (Thread 0x7fc630fe4700 (LWP 8161)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc61c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc630fe3d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x18bdc80) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x18bdc80) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x18bdc80) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc630fe4700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 31 (Thread 0x7fc6237ff700 (LWP 8162)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc6237fed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x198e670) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x198e670) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x198e670) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc6237ff700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 30 (Thread 0x7fc6227fe700 (LWP 8163)):
#0  0x00007fc655077cd4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035e49 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6100008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc6227fdd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1a8a580) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1a8a580) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x1a8a580) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc6227fe700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 29 (Thread 0x7fc6217fd700 (LWP 8164)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035018 in g_main_context_release () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035dfe in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6140008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc6217fcd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1b826c0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1b826c0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x1b826c0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc6217fd700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 28 (Thread 0x7fc60ffff700 (LWP 8165)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6080008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc60fffed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1c91700) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1c91700) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x1c91700) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc60ffff700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 27 (Thread 0x7fc60effe700 (LWP 8166)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6000008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc60effdd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1d6d760) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1d6d760) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x1d6d760) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc60effe700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 26 (Thread 0x7fc60dffd700 (LWP 8167)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035d45 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc6040008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc60dffcd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1e54670) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1e54670) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x1e54670) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc60dffd700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 25 (Thread 0x7fc60cffc700 (LWP 8168)):
#0  0x00007fc65ef37b60 in __GI___tls_get_addr (ti=0x7fc65984a6e0) at dl-tls.c:831
#1  0x00007fc659232aa2 in get_thread_data () at thread/qthread_unix.cpp:181
#2  QThreadData::current (createIfNecessary=createIfNecessary@entry=true) at thread/qthread_unix.cpp:212
#3  0x00007fc659466301 in postEventSourcePrepare (timeout=0x0, s=0x7fc5f80012d0) at kernel/qeventdispatcher_glib.cpp:247
#4  postEventSourceCheck (source=0x7fc5f80012d0) at kernel/qeventdispatcher_glib.cpp:264
#5  0x00007fc6550358e1 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#6  0x00007fc655035de8 in ?? () from /usr/lib64/libglib-2.0.so.0
#7  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#8  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5f80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#9  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc60cffbd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#10 0x00007fc65922ee4a in QThread::exec (this=this@entry=0x1f4ec40) at thread/qthread.cpp:503
#11 0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x1f4ec40) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#12 0x00007fc659233a7f in QThreadPrivate::start (arg=0x1f4ec40) at thread/qthread_unix.cpp:337
#13 0x00007fc658143484 in start_thread (arg=0x7fc60cffc700) at pthread_create.c:333
#14 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 24 (Thread 0x7fc5ff7ff700 (LWP 8169)):
#0  0x00007fc655077cd4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655034f10 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d15 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5f40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5ff7fed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x2044ca0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x2044ca0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x2044ca0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc5ff7ff700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 23 (Thread 0x7fc5fe7fe700 (LWP 8170)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:57
#1  0x00007fc658b43592 in read () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007fc655076b20 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035989 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc655035de8 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5ec0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#7  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5fe7fdd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x214f3c0) at thread/qthread.cpp:503
#9  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x214f3c0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#10 0x00007fc659233a7f in QThreadPrivate::start (arg=0x214f3c0) at thread/qthread_unix.cpp:337
#11 0x00007fc658143484 in start_thread (arg=0x7fc5fe7fe700) at pthread_create.c:333
#12 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 22 (Thread 0x7fc5fd7fd700 (LWP 8171)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fc65e7c947b in ?? () from /usr/lib64/libQt5Script.so.5
#2  0x00007fc65e7c94a9 in ?? () from /usr/lib64/libQt5Script.so.5
#3  0x00007fc658143484 in start_thread (arg=0x7fc5fd7fd700) at pthread_create.c:333
#4  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 21 (Thread 0x7fc5fcffc700 (LWP 8172)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc6550358ec in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035de8 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5f00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5fcffbd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x2237d10) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x2237d10) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x2237d10) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc5fcffc700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 20 (Thread 0x7fc569de6700 (LWP 8173)):
#0  0x00007fc655035490 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc569de5d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x249c160) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x249c160) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x249c160) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc569de6700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 19 (Thread 0x7fc563fff700 (LWP 8174)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035377 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc55c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc563ffecf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x25ce500) at thread/qthread.cpp:503
#7  0x00007fc65cb0a042 in QQuickPixmapReader::run (this=0x25ce500) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/util/qquickpixmapcache.cpp:714
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x25ce500) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc563fff700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 18 (Thread 0x7fc5637fe700 (LWP 8175)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5637fdd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x25f53f0) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x25f53f0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x25f53f0) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc5637fe700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 17 (Thread 0x7fc561ded700 (LWP 8176)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc6550354a9 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5580008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc561decd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x276a530) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x276a530) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x276a530) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc561ded700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 16 (Thread 0x7fc560dec700 (LWP 8177)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035018 in g_main_context_release () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035dfe in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc54c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc560debcf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x289c380) at thread/qthread.cpp:503
#7  0x00007fc65cb0a042 in QQuickPixmapReader::run (this=0x289c380) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/util/qquickpixmapcache.cpp:714
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x289c380) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc560dec700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 15 (Thread 0x7fc552fff700 (LWP 8178)):
#0  0x00007fc659465650 in size (this=0x7fc548002c60) at ../../src/corelib/tools/qlist.h:92
#1  count (this=0x7fc548002c60) at ../../src/corelib/tools/qlist.h:290
#2  socketNotifierSourceCheck (source=0x7fc548002c00) at kernel/qeventdispatcher_glib.cpp:74
#3  0x00007fc6550358e1 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc655035de8 in ?? () from /usr/lib64/libglib-2.0.so.0
#5  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#6  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5480008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#7  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc552ffed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#8  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x4076920) at thread/qthread.cpp:503
#9  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x4076920) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#10 0x00007fc659233a7f in QThreadPrivate::start (arg=0x4076920) at thread/qthread_unix.cpp:337
#11 0x00007fc658143484 in start_thread (arg=0x7fc552fff700) at pthread_create.c:333
#12 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 14 (Thread 0x7fc547fff700 (LWP 8179)):
#0  0x00007fc6550354a0 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5400008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc547ffed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x44db090) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x44db090) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x44db090) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc547fff700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 13 (Thread 0x7fc546ffe700 (LWP 8180)):
#0  0x00007fc655077cd4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc65503588b in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035de8 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5380008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc546ffdd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x45c1fe0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x45c1fe0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x45c1fe0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc546ffe700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 12 (Thread 0x7fc545f7d700 (LWP 8181)):
#0  0x00007fc65946571c in postEventSourcePrepare (s=0x7fc53c002500, timeout=0x7fc545f7cb74) at kernel/qeventdispatcher_glib.cpp:246
#1  0x00007fc65503549d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc53c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc545f7cd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x46e9290) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x46e9290) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x46e9290) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc545f7d700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 11 (Thread 0x7fc544e7c700 (LWP 8182)):
#0  __libc_enable_asynccancel () at ../sysdeps/unix/sysv/linux/x86_64/cancellation.S:65
#1  0x00007fc658b474c2 in poll () at ../sysdeps/unix/syscall-template.S:81
#2  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5300008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc544e7bd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x47a15e0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x47a15e0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x47a15e0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc544e7c700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 10 (Thread 0x7fc5377ff700 (LWP 8183)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc52c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5377fed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x48926f0) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x48926f0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x48926f0) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc5377ff700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 9 (Thread 0x7fc5367fe700 (LWP 8184)):
#0  timerSourceCheck (source=0x7fc524003070) at kernel/qeventdispatcher_glib.cpp:167
#1  0x00007fc6550358e1 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035de8 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5240008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5367fdd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x49916d0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x49916d0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x49916d0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc5367fe700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 8 (Thread 0x7fc52bcbc700 (LWP 8185)):
#0  0x00007fc655077cd4 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035a4a in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035ec8 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5200008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc52bcbbd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x52ddea0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x52ddea0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x52ddea0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc52bcbc700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 7 (Thread 0x7fc52abb9700 (LWP 8186)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655034ed0 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d15 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc5180008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc52abb8d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x5396af0) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x5396af0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x5396af0) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc52abb9700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 6 (Thread 0x7fc529ab6700 (LWP 8187)):
#0  0x00007fc6550070f0 in poll@plt () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc51c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc529ab5d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x5486000) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x5486000) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x5486000) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc529ab6700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 5 (Thread 0x7fc5289b3700 (LWP 8188)):
#0  0x00007fc658b474cd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fc655035e54 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x5575ce0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#4  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5289b2d30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#5  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x5578810) at thread/qthread.cpp:503
#6  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x5578810) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#7  0x00007fc659233a7f in QThreadPrivate::start (arg=0x5578810) at thread/qthread_unix.cpp:337
#8  0x00007fc658143484 in start_thread (arg=0x7fc5289b3700) at pthread_create.c:333
#9  0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 4 (Thread 0x7fc5177ff700 (LWP 8189)):
#0  0x00007fc6592e5dba in qt_gettime () at tools/qelapsedtimer_unix.cpp:177
#1  0x00007fc659463e49 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7fc51c0052d0) at kernel/qtimerinfo_unix.cpp:84
#2  0x00007fc6594643d5 in QTimerInfoList::timerWait (this=0x7fc51c0052d0, tm=...) at kernel/qtimerinfo_unix.cpp:379
#3  0x00007fc6594655ee in timerSourcePrepareHelper (timeout=0x7fc5177feb74, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#4  timerSourcePrepare (source=<optimized out>, timeout=0x7fc5177feb74) at kernel/qeventdispatcher_glib.cpp:160
#5  0x00007fc65503549d in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#6  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#7  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#8  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc51c003120, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#9  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5177fed30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#10 0x00007fc65922ee4a in QThread::exec (this=this@entry=0x569ee60) at thread/qthread.cpp:503
#11 0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x569ee60) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#12 0x00007fc659233a7f in QThreadPrivate::start (arg=0x569ee60) at thread/qthread_unix.cpp:337
#13 0x00007fc658143484 in start_thread (arg=0x7fc5177ff700) at pthread_create.c:333
#14 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 3 (Thread 0x7fc5167ad700 (LWP 8190)):
#0  0x00007fc6550331b2 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc65503543b in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d70 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc518003120, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc5167acd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x575d270) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x575d270) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x575d270) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc5167ad700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 2 (Thread 0x7fc51013d700 (LWP 11215)):
#0  0x00007fc655077cb9 in g_mutex_lock () from /usr/lib64/libglib-2.0.so.0
#1  0x00007fc655034ed0 in g_main_context_acquire () from /usr/lib64/libglib-2.0.so.0
#2  0x00007fc655035d15 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007fc65946581b in QEventDispatcherGlib::processEvents (this=0x7fc524014bd0, flags=...) at kernel/qeventdispatcher_glib.cpp:420
#5  0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7fc51013cd30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#6  0x00007fc65922ee4a in QThread::exec (this=this@entry=0x6bab450) at thread/qthread.cpp:503
#7  0x00007fc65c492138 in QQmlThreadPrivate::run (this=0x6bab450) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/qml/qml/ftw/qqmlthread.cpp:141
#8  0x00007fc659233a7f in QThreadPrivate::start (arg=0x6bab450) at thread/qthread_unix.cpp:337
#9  0x00007fc658143484 in start_thread (arg=0x7fc51013d700) at pthread_create.c:333
#10 0x00007fc658b4fa4d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7fc65f0dd880 (LWP 8132)):
[KCrash Handler]
#5  0x00007fc63a9f721f in brw_meta_fast_clear (brw=brw@entry=0x28b35c8, fb=fb@entry=0x1c1b740, buffers=buffers@entry=34, partial_clear=partial_clear@entry=false) at brw_meta_fast_clear.c:446
#6  0x00007fc63a9861c8 in brw_clear (ctx=0x28b35c8, mask=34) at brw_clear.c:246
#7  0x00007fc65cb3cf38 in QSGBatchRenderer::Renderer::renderBatches (this=this@entry=0x3ff7b20) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgbatchrenderer.cpp:2402
#8  0x00007fc65cb4322b in QSGBatchRenderer::Renderer::render (this=<optimized out>) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgbatchrenderer.cpp:2590
#9  0x00007fc65cb4d994 in QSGRenderer::renderScene (this=0x3ff7b20, bindable=...) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgrenderer.cpp:206
#10 0x00007fc65cb4dddb in QSGRenderer::renderScene (this=<optimized out>, fboId=<optimized out>) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/coreapi/qsgrenderer.cpp:168
#11 0x00007fc65cb5b39e in QSGRenderContext::renderNextFrame (this=0x10abb00, renderer=0x3ff7b20, fboId=<optimized out>) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/qsgcontext.cpp:554
#12 0x00007fc65cba4154 in QQuickWindowPrivate::renderSceneGraph (this=this@entry=0x3ff7070, size=...) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/items/qquickwindow.cpp:381
#13 0x00007fc65cb75ef6 in QSGGuiThreadRenderLoop::renderWindow (this=this@entry=0x132aae0, window=0x40767d0) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/qsgrenderloop.cpp:364
#14 0x00007fc65cb768e5 in QSGGuiThreadRenderLoop::event (this=0x132aae0, e=<optimized out>) at /usr/src/debug/qtdeclarative-opensource-src-5.4.2/src/quick/scenegraph/qsgrenderloop.cpp:462
#15 0x00007fc65a763bac in QApplicationPrivate::notify_helper (this=this@entry=0xb85d80, receiver=receiver@entry=0x132aae0, e=e@entry=0x7ffc639cabb0) at kernel/qapplication.cpp:3720
#16 0x00007fc65a768a00 in QApplication::notify (this=0x7ffc639caf80, receiver=0x132aae0, e=0x7ffc639cabb0) at kernel/qapplication.cpp:3503
#17 0x00007fc65940e4b5 in QCoreApplication::notifyInternal (this=0x7ffc639caf80, receiver=0x132aae0, event=0x7ffc639cabb0) at kernel/qcoreapplication.cpp:935
#18 0x00007fc65946520d in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../src/corelib/kernel/qcoreapplication.h:228
#19 QTimerInfoList::activateTimers (this=0xbd1060) at kernel/qtimerinfo_unix.cpp:635
#20 0x00007fc659465569 in timerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:177
#21 idleTimerSourceDispatch (source=<optimized out>) at kernel/qeventdispatcher_glib.cpp:224
#22 0x00007fc655035c74 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#23 0x00007fc655035ec8 in ?? () from /usr/lib64/libglib-2.0.so.0
#24 0x00007fc655035f6c in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#25 0x00007fc6594657fc in QEventDispatcherGlib::processEvents (this=0xbcec80, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#26 0x00007fc65940c40b in QEventLoop::exec (this=this@entry=0x7ffc639cadf0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#27 0x00007fc659413a96 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1188
#28 0x0000000000433278 in main ()

Reported using DrKonqi
Comment 1 Bhushan Shah 2015-06-30 07:15:37 UTC

*** This bug has been marked as a duplicate of bug 349677 ***
Comment 2 David Edmundson 2015-07-02 23:17:17 UTC
*** Bug 349842 has been marked as a duplicate of this bug. ***
Comment 3 Martin Sandsmark 2015-07-05 11:41:45 UTC
this is different from the other one.

this is https://bugs.freedesktop.org/show_bug.cgi?id=86281
Comment 4 David Edmundson 2015-07-12 18:24:03 UTC
*** Bug 350152 has been marked as a duplicate of this bug. ***
Comment 5 David Edmundson 2015-07-13 13:03:57 UTC
*** Bug 350170 has been marked as a duplicate of this bug. ***
Comment 6 David Edmundson 2015-07-14 10:44:38 UTC
*** Bug 350193 has been marked as a duplicate of this bug. ***
Comment 7 Bhushan Shah 2015-07-18 12:54:56 UTC
*** Bug 350230 has been marked as a duplicate of this bug. ***
Comment 8 David Edmundson 2015-07-20 23:43:29 UTC
*** Bug 350420 has been marked as a duplicate of this bug. ***
Comment 9 Bhushan Shah 2015-07-22 05:57:22 UTC
*** Bug 350479 has been marked as a duplicate of this bug. ***
Comment 10 Bhushan Shah 2015-07-23 03:02:38 UTC
*** Bug 350529 has been marked as a duplicate of this bug. ***
Comment 11 Bhushan Shah 2015-07-27 13:29:39 UTC
*** Bug 350024 has been marked as a duplicate of this bug. ***
Comment 12 David Edmundson 2015-07-27 19:39:56 UTC
*** Bug 350678 has been marked as a duplicate of this bug. ***
Comment 13 David Edmundson 2015-07-27 20:59:29 UTC
*** Bug 350683 has been marked as a duplicate of this bug. ***
Comment 14 Bhushan Shah 2015-07-28 10:28:34 UTC
*** Bug 350701 has been marked as a duplicate of this bug. ***
Comment 15 David Edmundson 2015-07-28 15:27:34 UTC
*** Bug 350706 has been marked as a duplicate of this bug. ***
Comment 16 Martin Tlustos 2015-07-31 06:44:39 UTC
An observation: deactivating compositing, installing oxygen themes etc., restarting and reactivating compositing seems to fix things for me.
Comment 17 Robert Wąsik 2015-07-31 06:50:07 UTC
(In reply to Martin Tlustos from comment #16)
> An observation: deactivating compositing, installing oxygen themes etc.,
> restarting and reactivating compositing seems to fix things for me.

Tried that already, but in my case nothing changed. Maybe amount of crashes decreased (maybe not, that's just an observation), but the traces were similar and error was still occurring.
Comment 18 David Edmundson 2015-08-01 00:24:49 UTC
*** Bug 350842 has been marked as a duplicate of this bug. ***
Comment 19 David Edmundson 2015-08-01 00:25:09 UTC
*** Bug 350835 has been marked as a duplicate of this bug. ***
Comment 20 Bhushan Shah 2015-08-03 04:37:52 UTC
*** Bug 350902 has been marked as a duplicate of this bug. ***
Comment 21 David Edmundson 2015-08-13 10:19:36 UTC
*** Bug 351227 has been marked as a duplicate of this bug. ***
Comment 22 David Edmundson 2015-08-22 12:37:46 UTC
As a workaround you can export environment variable

QT_XCB_FORCE_SOFTWARE_OPENGL=1

which will work round the buggy driver, at the expense of being slower.
Comment 23 David Edmundson 2015-08-22 12:37:50 UTC
*** Bug 351509 has been marked as a duplicate of this bug. ***
Comment 24 David Edmundson 2015-08-29 12:10:49 UTC
*** Bug 351933 has been marked as a duplicate of this bug. ***
Comment 25 David Edmundson 2015-09-01 19:13:38 UTC
*** Bug 352114 has been marked as a duplicate of this bug. ***
Comment 26 David Edmundson 2015-09-01 23:46:38 UTC
*** Bug 352132 has been marked as a duplicate of this bug. ***
Comment 27 David Edmundson 2015-09-02 11:03:38 UTC
*** Bug 352142 has been marked as a duplicate of this bug. ***
Comment 28 Gilberto Ferreira 2015-09-02 11:37:56 UTC
I declare this:

LIBGL_ALWAYS_SOFTWARE="true"

and works fine here...

Thanks!
Comment 29 David Edmundson 2015-09-02 21:00:10 UTC
*** Bug 352172 has been marked as a duplicate of this bug. ***
Comment 30 David Edmundson 2015-09-02 21:00:19 UTC
*** Bug 352175 has been marked as a duplicate of this bug. ***
Comment 31 David Edmundson 2015-09-02 21:15:25 UTC
*** Bug 352180 has been marked as a duplicate of this bug. ***
Comment 32 David Edmundson 2015-09-03 07:27:07 UTC
*** Bug 352196 has been marked as a duplicate of this bug. ***
Comment 33 David Edmundson 2015-09-03 07:28:48 UTC
*** Bug 352189 has been marked as a duplicate of this bug. ***
Comment 34 David Edmundson 2015-09-03 08:13:35 UTC
*** Bug 352203 has been marked as a duplicate of this bug. ***
Comment 35 David Edmundson 2015-09-03 13:49:56 UTC
*** Bug 352212 has been marked as a duplicate of this bug. ***
Comment 36 David Edmundson 2015-09-03 13:50:27 UTC
*** Bug 352210 has been marked as a duplicate of this bug. ***
Comment 37 David Edmundson 2015-09-03 17:54:18 UTC
*** Bug 352231 has been marked as a duplicate of this bug. ***
Comment 38 David Edmundson 2015-09-04 05:50:26 UTC
*** Bug 352244 has been marked as a duplicate of this bug. ***
Comment 39 Christoph Feck 2015-09-04 13:01:26 UTC
*** Bug 352257 has been marked as a duplicate of this bug. ***
Comment 40 David Edmundson 2015-09-04 19:22:03 UTC
*** Bug 352286 has been marked as a duplicate of this bug. ***
Comment 41 David Edmundson 2015-09-04 22:07:49 UTC
*** Bug 352244 has been marked as a duplicate of this bug. ***
Comment 42 David Edmundson 2015-09-04 22:37:41 UTC
There's another workaround not listed here:

==========
A workaround is simply to switch back to the older UXA acceleration method
from the current default SNA method in the intel DDX. One way to do this is
to put the following in e. g. /etc/X11/xorg.conf.d/20-intel.conf:

    Section "Device"
        Identifier  "Intel Graphics"
        Driver      "intel"
        Option      "AccelMethod"  "uxa"
    EndSection
Comment 43 Bhushan Shah 2015-09-05 15:53:13 UTC
*** Bug 352300 has been marked as a duplicate of this bug. ***
Comment 44 Bhushan Shah 2015-09-05 15:53:28 UTC
*** Bug 352309 has been marked as a duplicate of this bug. ***
Comment 45 David Edmundson 2015-09-06 18:52:41 UTC
*** Bug 352342 has been marked as a duplicate of this bug. ***
Comment 46 David Edmundson 2015-09-06 18:53:03 UTC
*** Bug 352335 has been marked as a duplicate of this bug. ***
Comment 47 David Edmundson 2015-09-07 13:37:02 UTC
*** Bug 352380 has been marked as a duplicate of this bug. ***
Comment 48 David Edmundson 2015-09-07 13:37:22 UTC
*** Bug 352352 has been marked as a duplicate of this bug. ***
Comment 49 Bhushan Shah 2015-09-07 14:19:49 UTC
*** Bug 352360 has been marked as a duplicate of this bug. ***
Comment 50 Bhushan Shah 2015-09-08 05:57:26 UTC
*** Bug 352417 has been marked as a duplicate of this bug. ***
Comment 51 Bhushan Shah 2015-09-08 07:44:04 UTC
*** Bug 352389 has been marked as a duplicate of this bug. ***
Comment 52 Bhushan Shah 2015-09-08 12:10:32 UTC
*** Bug 352433 has been marked as a duplicate of this bug. ***
Comment 53 Bhushan Shah 2015-09-08 14:45:02 UTC
*** Bug 352439 has been marked as a duplicate of this bug. ***
Comment 54 Bhushan Shah 2015-09-09 04:25:56 UTC
*** Bug 352456 has been marked as a duplicate of this bug. ***
Comment 55 David Edmundson 2015-09-09 10:08:23 UTC
*** Bug 352467 has been marked as a duplicate of this bug. ***
Comment 56 EMR_Kde 2015-09-09 12:17:10 UTC
(In reply to David Edmundson from comment #42)
> There's another workaround not listed here:
> 
> ==========
> A workaround is simply to switch back to the older UXA acceleration method
> from the current default SNA method in the intel DDX. One way to do this is
> to put the following in e. g. /etc/X11/xorg.conf.d/20-intel.conf:
> 
>     Section "Device"
>         Identifier  "Intel Graphics"
>         Driver      "intel"
>         Option      "AccelMethod"  "uxa"
>     EndSection

This workaround seems to have worked for me. But this *just* started within the last couple of months. *Then* it became worse since last Thursday's update (had to switch desktop environments to lxde/failsafe). Was the default changed without testing? If so, OK, but they should have rolled out a conf to cover this, and if people were interested, then change it over. It's a waste of a work day.
Comment 57 Bhushan Shah 2015-09-10 05:17:57 UTC
*** Bug 352496 has been marked as a duplicate of this bug. ***
Comment 58 Bhushan Shah 2015-09-10 05:18:04 UTC
*** Bug 352505 has been marked as a duplicate of this bug. ***
Comment 59 Bhushan Shah 2015-09-10 09:34:39 UTC
*** Bug 352515 has been marked as a duplicate of this bug. ***
Comment 60 Jonathan Ryshpan 2015-09-10 15:06:30 UTC
This bug has been RESOLVED UPSTREAM.  Where is the fix in the release process?  In particular, when will it appear as an update to Fedora 22?  (Please pardon my ignorance about this.)
Comment 61 David Edmundson 2015-09-10 15:15:19 UTC
It means it's Fedora's problem, they are aware of this and releasing the fix is their job.

There isn't anything we can do. Sorry
Comment 62 Jonathan Ryshpan 2015-09-10 16:44:14 UTC
Created attachment 94499 [details]
attachment-26543-0.html

I had thought that FIXED UPSTREAM  means that the fix is upstream from
you.  But it seems you ARE upstream.  I will query Fedora about this.  
BTW: Where can I read about the nature of the bug and the fix?  On my
system the problem has been pretty severe, sometimes a crash every half
hour or so.
All the best - jon
On Thu, 2015-09-10 at 15:15 +0000, David Edmundson wrote:
> https://bugs.kde.org/show_bug.cgi?id=349519
> 
> --- Comment #61 from David Edmundson <kde@davidedmundson.co.uk> ---
> It means it's Fedora's problem, they are aware of this and releasing
> the fix is
> their job.
> 
> There isn't anything we can do. Sorry
Comment 63 Rex Dieter 2015-09-10 17:21:01 UTC
For fedora users here, you can watch downstream bug
https://bugzilla.redhat.com/show_bug.cgi?id=1259443
for progress on getting fixes/workarounds deployed
Comment 64 David Edmundson 2015-09-11 08:28:16 UTC
*** Bug 352546 has been marked as a duplicate of this bug. ***
Comment 65 Yury Donskoy 2015-09-11 08:43:52 UTC
So, can this file  /etc/X11/xorg.conf.d/20-intel.conf: just be created by hand to resolve this issue? It doesn't exist on my Fedora 22 system.
Comment 66 veehexx 2015-09-11 10:33:28 UTC
(In reply to Yury Donskoy from comment #65)
> So, can this file  /etc/X11/xorg.conf.d/20-intel.conf: just be created by
> hand to resolve this issue? It doesn't exist on my Fedora 22 system.

yes. Reboot afterwards so X can pickup the change.
You can confirm UXA rendering via 'cat /var/log/Xorg.0.log | grep UXA'. any return is good - try '... |grep SNA' and you will see no result meaning SNA is not in use.

i did notice a small performance hit when scrolling and moving windows around, but it's very slight.

It's fixed the issue on my T450s FC22 and just waiting for FC to release the proposed bugfix previously mentioned in 63.
Comment 67 Bhushan Shah 2015-09-12 09:30:08 UTC
*** Bug 352609 has been marked as a duplicate of this bug. ***
Comment 68 Yury Donskoy 2015-09-12 09:33:06 UTC
Thanks for the advice. It's been stable for me since I created the file yesterday, not crashing once in that time. Before, it was going down every half-hour or so.
Comment 69 Bhushan Shah 2015-09-14 07:59:36 UTC
*** Bug 352632 has been marked as a duplicate of this bug. ***
Comment 70 Bhushan Shah 2015-09-14 08:02:50 UTC
*** Bug 352678 has been marked as a duplicate of this bug. ***
Comment 71 veehexx 2015-09-14 09:43:04 UTC
Just as an update for fedora users: FC22 received the required intel SNA/mesa update yesterday. update: 'mesa-10.6.3-2.20150729.fc22'.
fix report: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15543
Comment 72 Bhushan Shah 2015-09-14 14:48:59 UTC
*** Bug 352694 has been marked as a duplicate of this bug. ***
Comment 73 mnd999 2015-09-18 10:27:42 UTC
This bug also impacts Kubuntu 15.10
Comment 74 David Edmundson 2015-09-21 09:49:13 UTC
*** Bug 352972 has been marked as a duplicate of this bug. ***
Comment 75 David Edmundson 2015-09-22 10:45:13 UTC
*** Bug 353007 has been marked as a duplicate of this bug. ***
Comment 76 Jonathan Riddell 2015-09-22 15:38:28 UTC
Kubuntu should get the patch to workaround it as part of the mesa 11.0.0 update
https://bugs.launchpad.net/ubuntu/+source/mesa/+bug/1484279
Comment 77 Jonathan Ryshpan 2015-09-22 16:02:14 UTC
(In reply to veehexx from comment #71)
> Just as an update for fedora users: FC22 received the required intel
> SNA/mesa update yesterday. update: 'mesa-10.6.3-2.20150729.fc22'.
> fix report: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15543

The update does seem to have cured the problem.  I installed the fix in #42, which cured the problem, and removed it yesterday 9/21 at 7:00am.  The problem has stayed cured.
Comment 78 David Edmundson 2015-09-23 22:05:11 UTC
*** Bug 353109 has been marked as a duplicate of this bug. ***
Comment 79 David Edmundson 2015-10-03 22:42:44 UTC
*** Bug 352979 has been marked as a duplicate of this bug. ***
Comment 80 Kirys 2015-10-05 19:51:15 UTC
I've fedora 22 latest update and I'm affected by this issue also with uxa driver :(
Comment 81 David Edmundson 2015-10-06 18:00:45 UTC
*** Bug 353609 has been marked as a duplicate of this bug. ***
Comment 82 David Edmundson 2015-10-08 11:19:27 UTC
*** Bug 353681 has been marked as a duplicate of this bug. ***
Comment 83 David Edmundson 2015-10-08 11:25:11 UTC
*** Bug 353673 has been marked as a duplicate of this bug. ***
Comment 84 David Edmundson 2015-10-11 19:44:37 UTC
*** Bug 353791 has been marked as a duplicate of this bug. ***
Comment 85 David Edmundson 2015-10-18 11:12:38 UTC
*** Bug 354031 has been marked as a duplicate of this bug. ***
Comment 86 David Edmundson 2015-10-21 13:22:23 UTC
*** Bug 354155 has been marked as a duplicate of this bug. ***
Comment 87 David Edmundson 2015-10-24 08:26:14 UTC
*** Bug 354243 has been marked as a duplicate of this bug. ***
Comment 88 David Edmundson 2015-10-29 21:46:09 UTC
*** Bug 353923 has been marked as a duplicate of this bug. ***
Comment 89 David Edmundson 2015-10-29 21:55:09 UTC
*** Bug 354577 has been marked as a duplicate of this bug. ***
Comment 90 David Edmundson 2015-10-30 12:11:01 UTC
*** Bug 354593 has been marked as a duplicate of this bug. ***
Comment 91 David Edmundson 2015-11-02 17:33:39 UTC
*** Bug 354619 has been marked as a duplicate of this bug. ***
Comment 92 David Edmundson 2015-11-03 12:20:28 UTC
*** Bug 354788 has been marked as a duplicate of this bug. ***
Comment 93 David Edmundson 2015-11-05 19:08:11 UTC
*** Bug 354913 has been marked as a duplicate of this bug. ***
Comment 94 David Edmundson 2015-11-09 22:01:19 UTC
*** Bug 355101 has been marked as a duplicate of this bug. ***
Comment 95 Jonathan Ryshpan 2015-11-10 15:37:26 UTC
(In reply to Jonathan Ryshpan from comment #77)
> (In reply to veehexx from comment #71)
> > Just as an update for fedora users: FC22 received the required intel
> > SNA/mesa update yesterday. update: 'mesa-10.6.3-2.20150729.fc22'.
> > fix report: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15543
> 
> The update does seem to have cured the problem.  I installed the fix in #42,
> which cured the problem, and removed it yesterday 9/21 at 7:00am.  The
> problem has stayed cured.

Unfortunately, the problem is not completely cured.  Plasmashell still crashes, though much less frequently than before the update.
Comment 96 David Edmundson 2015-11-11 22:52:51 UTC
*** Bug 355209 has been marked as a duplicate of this bug. ***
Comment 97 jamese 2015-11-12 23:05:28 UTC
If I apply the workaround in comment 42 (https://bugs.kde.org/show_bug.cgi?id=349519#c42), it causes this DisplayPort related bug to resurface:
https://bugs.kde.org/show_bug.cgi?id=349362

Plugging in a DisplayPort cable to DisplayPort 1.2 capable screen with the UXA change in causes the desktop to completely lock up and requires a hard reset.
Removing the workaround (switching back to "SNA") makes #349362 go away.

Using Plasma 5.4.3 just released from Kubuntu Wily backports
Here are some relevant intel logs from Xorg.0.log, hope it's of interest:

$ grep intel /var/log/Xorg.0.log

[    21.930] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
[    21.930] (II) intel: Driver for Intel(R) HD Graphics: 2000-6000
[    21.930] (II) intel: Driver for Intel(R) Iris(TM) Graphics: 5100, 6100
[    21.930] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics: 5200, 6200, P6300
[    21.930] (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20150522
[    21.930] (II) intel(0): SNA compiled: xserver-xorg-video-intel 2:2.99.917+git20150808-0ubuntu4 (Robert Ancell <robert.ancell@canonical.com>)
[    21.930] (II) intel(0): SNA compiled for use with valgrind
[    21.931] (--) intel(0): Integrated Graphics Chipset: Intel(R) Iris(TM) Pro Graphics 5200
Comment 98 Rex Dieter 2015-11-15 02:48:59 UTC
*** Bug 355366 has been marked as a duplicate of this bug. ***
Comment 99 Christoph Feck 2015-11-15 12:00:36 UTC
*** Bug 355375 has been marked as a duplicate of this bug. ***
Comment 100 David Edmundson 2015-11-24 18:10:47 UTC
*** Bug 355789 has been marked as a duplicate of this bug. ***
Comment 101 David Edmundson 2015-11-29 14:42:33 UTC
*** Bug 356078 has been marked as a duplicate of this bug. ***
Comment 102 David Edmundson 2015-11-29 15:22:26 UTC
*** Bug 354604 has been marked as a duplicate of this bug. ***
Comment 103 David Edmundson 2015-12-09 12:51:53 UTC
*** Bug 356378 has been marked as a duplicate of this bug. ***
Comment 104 David Edmundson 2015-12-21 14:34:23 UTC
*** Bug 356707 has been marked as a duplicate of this bug. ***
Comment 105 David Edmundson 2015-12-27 15:07:01 UTC
*** Bug 357178 has been marked as a duplicate of this bug. ***
Comment 106 David Edmundson 2016-01-12 03:02:41 UTC
*** Bug 357730 has been marked as a duplicate of this bug. ***
Comment 107 David Edmundson 2016-01-21 16:56:09 UTC
*** Bug 358318 has been marked as a duplicate of this bug. ***
Comment 108 David Edmundson 2016-01-22 09:07:59 UTC
*** Bug 358349 has been marked as a duplicate of this bug. ***
Comment 109 David Edmundson 2016-02-01 18:53:42 UTC
*** Bug 358809 has been marked as a duplicate of this bug. ***
Comment 110 David Edmundson 2016-02-01 18:56:05 UTC
*** Bug 358788 has been marked as a duplicate of this bug. ***
Comment 111 Marco Martin 2016-02-02 21:32:00 UTC
*** Bug 358676 has been marked as a duplicate of this bug. ***
Comment 112 David Edmundson 2016-02-04 00:55:28 UTC
*** Bug 358969 has been marked as a duplicate of this bug. ***
Comment 113 David Edmundson 2016-02-15 16:42:31 UTC
*** Bug 359432 has been marked as a duplicate of this bug. ***
Comment 114 David Edmundson 2016-02-15 16:45:49 UTC
*** Bug 359398 has been marked as a duplicate of this bug. ***
Comment 115 David Edmundson 2016-02-15 16:50:07 UTC
*** Bug 359395 has been marked as a duplicate of this bug. ***
Comment 116 David Edmundson 2016-02-19 18:44:24 UTC
*** Bug 359582 has been marked as a duplicate of this bug. ***
Comment 117 David Edmundson 2016-02-22 13:40:29 UTC
*** Bug 359635 has been marked as a duplicate of this bug. ***
Comment 118 Marco Martin 2016-02-24 13:18:26 UTC
*** Bug 359696 has been marked as a duplicate of this bug. ***
Comment 119 David Edmundson 2016-02-28 22:09:04 UTC
*** Bug 359885 has been marked as a duplicate of this bug. ***
Comment 120 Marco Martin 2016-03-02 09:42:39 UTC
*** Bug 359953 has been marked as a duplicate of this bug. ***
Comment 121 Martin Klapetek 2016-03-10 14:35:47 UTC
*** Bug 360222 has been marked as a duplicate of this bug. ***
Comment 122 David Edmundson 2016-03-21 18:52:54 UTC
*** Bug 360814 has been marked as a duplicate of this bug. ***
Comment 123 Marco Martin 2016-03-22 10:59:12 UTC
*** Bug 360721 has been marked as a duplicate of this bug. ***
Comment 124 Marco Martin 2016-03-22 11:00:01 UTC
*** Bug 360726 has been marked as a duplicate of this bug. ***
Comment 125 David Edmundson 2016-03-29 22:10:02 UTC
*** Bug 361152 has been marked as a duplicate of this bug. ***
Comment 126 David Edmundson 2016-03-29 23:30:39 UTC
*** Bug 361143 has been marked as a duplicate of this bug. ***
Comment 127 David Edmundson 2016-04-02 07:32:38 UTC
*** Bug 361205 has been marked as a duplicate of this bug. ***
Comment 128 Marco Martin 2016-04-07 10:26:31 UTC
*** Bug 361421 has been marked as a duplicate of this bug. ***
Comment 129 David Edmundson 2016-04-07 23:49:40 UTC
*** Bug 361507 has been marked as a duplicate of this bug. ***
Comment 130 David Edmundson 2016-04-12 23:24:29 UTC
*** Bug 361647 has been marked as a duplicate of this bug. ***
Comment 131 David Edmundson 2016-04-20 11:19:33 UTC
*** Bug 361745 has been marked as a duplicate of this bug. ***
Comment 132 Marco Martin 2016-05-12 12:09:46 UTC
*** Bug 362769 has been marked as a duplicate of this bug. ***
Comment 133 Marco Martin 2016-06-30 09:50:47 UTC
*** Bug 364904 has been marked as a duplicate of this bug. ***
Comment 134 David Edmundson 2017-01-27 16:09:10 UTC
*** Bug 375619 has been marked as a duplicate of this bug. ***
Comment 135 Nate Graham 2021-02-23 05:52:59 UTC
*** Bug 410964 has been marked as a duplicate of this bug. ***
Comment 136 Nate Graham 2021-02-23 06:17:33 UTC
*** Bug 405628 has been marked as a duplicate of this bug. ***
Comment 137 Nate Graham 2021-06-15 23:14:54 UTC
*** Bug 438523 has been marked as a duplicate of this bug. ***
Comment 138 Nate Graham 2021-07-29 14:00:15 UTC
*** Bug 438875 has been marked as a duplicate of this bug. ***
Comment 139 geisserml 2021-07-29 18:58:28 UTC
Wow. I hadn't seen an issue with so many duplicates yet. Could anything be done about it on the Plasma side?
I'm not sure whether Bug 438875 really is a duplicate of this issue, since it affects only Wayland...
Comment 140 Nate Graham 2021-08-04 18:52:03 UTC
*** Bug 440072 has been marked as a duplicate of this bug. ***
Comment 141 Nate Graham 2021-10-17 23:40:27 UTC
*** Bug 443823 has been marked as a duplicate of this bug. ***
Comment 142 Nate Graham 2022-01-13 18:44:42 UTC
*** Bug 447190 has been marked as a duplicate of this bug. ***